Patch Firewall Policy
Patch an existing firewall policy on a site.
Patch an existing firewall policy on a site.
Authorization
ApiKey UniFi API key. Create one under Control Plane → Admins & Users → your admin → Create API Key (requires controller 9.0.114+).
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/firewall/policies/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "enabled": true, "name": "My firewall policy", "description": "A description for my firewall policy", "index": 0, "action": { "type": "string" }, "source": { "zoneId": "c3920607-5069-4ac3-ba10-00754e7a8e8b", "trafficFilter": { "type": "string" } }, "destination": { "zoneId": "c3920607-5069-4ac3-ba10-00754e7a8e8b", "trafficFilter": { "type": "string" } }, "ipProtocolScope": { "ipVersion": "string" }, "connectionStateFilter": [ "NEW" ], "ipsecFilter": "MATCH_ENCRYPTED", "loggingEnabled": true, "schedule": { "mode": "string" }, "metadata": { "origin": "string" }}List Firewall Zones GET
Retrieve a list of all firewall zones on a site. <details> <summary>Filterable properties (click to expand)</summary> |Name|Type|Allowed functions| |-|-|-| |`id`|`UUID`|`eq` `ne` `in` `notIn`| |`name`|`STRING`|`eq` `ne` `in` `notIn` `like`| |`metadata.origin`|`STRING`|`eq` `ne` `in` `notIn`| |`metadata.configurable`|`BOOLEAN`|`eq` `ne` `isNull` `isNotNull`| </details>
Update Firewall Policy PUT
Update an existing firewall policy on a site.